众扬汇 AI 开放平台 API 文档

视频生成任务

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /minimax/v1/video_generation:
    post:
      summary: 视频生成任务
      deprecated: false
      description: "接口名称:MiniMax 视频生成任务(Text/Image to Video)。接口描述:创建视频生成任务,支持文生视频与图生视频两种模式。具体参数与返回以本平台实测为准。"
      tags:
        - 视频模型/MiniMax视频模型
      parameters:
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                prompt:
                  type: string
                duration:
                  type: integer
                resolution:
                  type: string
              required:
                - model
                - prompt
            examples: {}
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
              example:
                task_id: '106916112212032'
                base_resp:
                  status_code: 0
                  status_msg: success
          headers: {}
      security: []
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

模型名请在「模型广场」复制后填入,不要手输;计费、限流与在售清单以平台实测为准(部分数值待补)。